#include <iostream>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin >> n >> m;
    int a[n],b[n],c[m],d[m];
    for(int i=0; i<n; i++)
        cin >> a[i] >> b[i];
    for(int i=0; i<m; i++)
        cin >> c[i] >> d[i];
    int ans[n][m],suma=0,k=0;
    for(int i=0; i<n; i++)
        for(int j=0; j<m; j++)
            ans[i][j]=0;
    for(int i=0; i<m; i++)
        d[i]-=c[i];
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++)
        {
            if(b[i]>=c[j])
            {
                ans[i][j]=c[j];
                b[i]-=c[j];
                c[j]=0;
            }
            else
            {
                ans[i][j]=b[i];
                c[j]-=b[i];
                b[i]=0;
                break;
            }
        }
        suma+=a[i];
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++)
        {
            if(d[j]<b[i])
            {
                ans[i][j]+=d[j];
                b[i]-=d[j];
                d[j]=0;
            }
            else
            {
                ans[i][j]+=b[i];
                d[j]-=b[i];
                break;
            }
        }
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++)
            if(ans[i][j]>0)
                k++;
    }
    cout << suma << endl << k << endl;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++)
            if(ans[i][j]>0)
                cout << i+1 << " " << j+1 << " " << ans[i][j] << endl;
    }
    return 0;
}